package com.brilliance.isc.mda.dao;
import java.util.List;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.TaskDistConfigChangelog;

public interface TaskDistConfigChangelogMapper {

    int deleteByPrimaryKey(Long id);

    int insert(TaskDistConfigChangelog record);

    int insertSelective(TaskDistConfigChangelog record);

    TaskDistConfigChangelog selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TaskDistConfigChangelog record);

    int updateByPrimaryKey(TaskDistConfigChangelog record);

    List<TaskDistConfigChangelog> selectAll();

    List<TaskDistConfigChangelog> selectAllByOperatorId(@Param("operatorId") String operatorId);

}
